Package org.apache.naming.factory

## Class ResourceFactory

- java.lang.Object
- - org.apache.naming.factory.FactoryBase
  - - org.apache.naming.factory.ResourceFactory

All Implemented Interfaces:
  `javax.naming.spi.ObjectFactory`

    public class ResourceFactory
    extends FactoryBase

Object factory for Resources.

Author:
  Remy Maucherat

### Constructor Summary

Constructors
`ResourceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected javax.naming.spi.ObjectFactory` `getDefaultFactory​(javax.naming.Reference ref)` If a default factory is available for the given reference type, create the default factory.
`protected java.lang.Object` `getLinked​(javax.naming.Reference ref)` If this reference is a link to another JNDI object, obtain that object.
`protected boolean` `isReferenceTypeSupported​(java.lang.Object obj)` Determines if this factory supports processing the provided reference object.

### Methods inherited from class org.apache.naming.factory.FactoryBase

`getObjectInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceFactory

    public ResourceFactory()

### Method Detail

#### isReferenceTypeSupported

    protected boolean isReferenceTypeSupported​(java.lang.Object obj)

Description copied from class: `FactoryBase`
Determines if this factory supports processing the provided reference object.

Specified by:
  `isReferenceTypeSupported` in class `FactoryBase`
Parameters:
  `obj` - The object to be processed
Returns:
  `true` if this factory can process the object, otherwise `false`

#### getDefaultFactory

    protected javax.naming.spi.ObjectFactory getDefaultFactory​(javax.naming.Reference ref)
                                                        throws javax.naming.NamingException

Description copied from class: `FactoryBase`
If a default factory is available for the given reference type, create the default factory.

Specified by:
  `getDefaultFactory` in class `FactoryBase`
Parameters:
  `ref` - The reference object to be processed
Returns:
  The default factory for the given reference object or `null` if no default factory exists.
Throws:
  `javax.naming.NamingException` - If the default factory cannot be created

#### getLinked

    protected java.lang.Object getLinked​(javax.naming.Reference ref)

Description copied from class: `FactoryBase`
If this reference is a link to another JNDI object, obtain that object.

Specified by:
  `getLinked` in class `FactoryBase`
Parameters:
  `ref` - The reference object to be processed
Returns:
  The linked object or `null` if linked objects are not supported by or not configured for this reference object